# $Revision: 1.15 $, $Date: 2002/10/03 18:42:59 $
Summary:	Extra tools for GDP members
Summary(pl):	Dodatkowe narzdzia dla czonkw GDP
Name:		gnome-doc-tools
Version:	1.0
Release:	4
License:	GPL
Group:		Applications/Text
Source0:	http://people.redhat.com/dcm/%{name}-%{version}.tar.gz
URL:		http://people.redhat.com/dcm/software.html
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	docbook-dtd31-sgml
Requires:	docbook-dtd30-sgml
Prereq:		sgml-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook-gnome-dtd10-sgml

%description
The GNOME Documentation Project has a few tools, scripts and files
necessary for creating documentation for GNOME.

%description -l pl
GNOME Documentation Project ma kilka narzdzi, skryptw i plikw
potrzebnych do tworzenia dokumentacji dla GNOME.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
perl -pi -e "s@%{_libdir}/sgml/stylesheets/nwalsh-modular/@%{_datadir}/sgml/docbook/dsssl-stylesheets/@g" *.dsl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install *.dtd *.cat *.dsl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-4
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%pre
if [ -L %{_datadir}/sgml/docbook/dsssl-stylesheets ] ; then
	rm -rf %{_datadir}/sgml/docbook/dsssl-stylesheets
fi

%post
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%postun
if [ "$1" = 0 ]; then
	/usr/bin/install-catalog --remove /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2eps
%attr(755,root,root) %{_bindir}/dbnochunks
%{_mandir}/*/*
%{_datadir}/sgml/docbook/gnome-customization-%{version}


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-doc-tools.spec,v $
Revision 1.15  2002/10/03 18:42:59  kloczek
- fix in %triggerpostun.

Revision 1.14  2002/10/03 18:32:42  kloczek
- release 4,
- fixes %pre*/%posti* scripts and added %triggerpostun for prevent unregister
  unconditionaly cat files (depending on is this script is runed on uninstall
  or upgrade to new version).

Revision 1.13  2002/05/29 13:16:25  wiget
- fix catalog {de}registartion
- rel 3

Revision 1.12  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:26:15  arturs
fixed a small typo

Revision 1.10  2002/04/12 20:18:38  kloczek
- releass2,
- License changed to GPL,
- added regenerate ac/am files and use %%configure macro.

Revision 1.9  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.6  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/28 15:38:31  qboosh
- added URL and pl translations, cosmetics

Revision 1.4  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.3  2001/11/14 11:45:26  filon
- changed to %%configure2_13, to make it build

Revision 1.2  2001/04/25 10:50:37  kloczek
- cosmetics.

Revision 1.1  2001/04/25 08:55:52  klakier
- besed on src.rpm from http://people.redhat.com/dcm/software.html
